Skip to content

Hand a ranked run's moves and score in; the server replays them with the game's verify module.

POST
/api/runs/{id}/finish
curl --request POST \
--url https://example.com/api/runs/example/finish \
--header 'Content-Type: application/json' \
--data '{ "moves": "example", "score": 1 }'
id
required
string
Media typeapplication/json
object
moves
required
score
required
number format: double

Example generated

{
"moves": "example",
"score": 1
}

Accepted

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}